%% Load Ansys Results For Modal Coupling
% Load the exported results from Ansys after running |extract_modes.mac|
%
% usage: m=loadmodel('filename');
%
% This function will import the 
%
% * nodal and elements coordinates for the acoustic and structural models
% * resonance frequencies and mode shapes for acoustic and structural
% models
% * acoustic and structural material properties
%
% Carl Howard 5 / 4 / 2013

function m=loadmodel(name)
m.name=name;
m.s=loadstr([m.name '.str']);
m.c=loadcav([m.name '.cav']);
% create the coupling matrix

% this can either be 'coupled' or 'uncoupled'
m.bli=bli(m,'coupled');
